Bug 475780 - Kernel oops in paravirtualized xen: IP: [<d0833ec7>] :xen_blkfront:backend_changed+0x262/0x31d
Kernel oops in paravirtualized xen: IP: [<d0833ec7>] :xen_blkfront:backend_ch...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 08:27 EST by Jan ONDREJ
Modified: 2009-12-18 02:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:14:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2008-12-10 08:27:38 EST
Description of problem:
After upgrade from Fedora 9 to Fedora 10 one paravirtualized xen server still shows error.


Version-Release number of selected component (if applicable):
Same problem for:
kernel-PAE-2.6.27.5-117.fc10.i686
kernel-PAE-2.6.27.7-134.fc10.i686

No problem on fc9 kernels.

How reproducible:
Always on one machine, never on others.

Steps to Reproduce:
I think it's problematic to reproduce on your machine.
I have this problem only on one virtual machine, other virtual machines on same server works well. My server is an x86_64 Fedora 8 with update kernel-xen:

Linux vs2.upjs.sk 2.6.21.7-5.fc8xen #1 SMP Thu Aug 7 12:44:22 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux

  
Actual results:

Mounting proc filesystem
Mounting sysfs filesystem
Creating /dev
Creating initial device nodes
blkfront: xvda: barriers enabled
 xvda: xvda1
BUG: unable to handle kernel NULL pointer dereference at 00000000
IP: [<d0833ec7>] :xen_blkfront:backend_changed+0x262/0x31d
*pdpt = 00000000a7c25027
Oops: 0000 [#1] SMP
Modules linked in: xen_blkfront(+)

Pid: 15, comm: xenwatch Not tainted (2.6.27.7-134.fc10.i686.PAE #1)
EIP: 0061:[<d0833ec7>] EFLAGS: 00010246 CPU: 0
EIP is at backend_changed+0x262/0x31d [xen_blkfront]
EAX: cf848800 EBX: cf848800 ECX: d0833c65 EDX: 00000000
ESI: cf848800 EDI: cfc8c000 EBP: cf847f8c ESP: cf847f54
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0069
Process xenwatch (pid: 15, ti=cf847000 task=cf854010 task.ti=cf847000)
Stack: 00000000 c07a702f cf848800 cfc88080 d083546c cf847f8c c057836e 00000000
       cebf8000 c076fb3f c07a702f cf848800 cfc88080 d083546c cf847fa0 c057a2ba
       cf848810 cfc88000 cf847fc4 cf847fd0 c057931f cf847fb0 00000000 00000000
Call Trace:
 [<c057836e>] ? xenbus_read_driver_state+0x1e/0x31
 [<c057a2ba>] ? otherend_changed+0x65/0x6a
 [<c057931f>] ? xenwatch_thread+0xd7/0xff
 [<c0442d3a>] ? autoremove_wake_function+0x0/0x33
 [<c0579248>] ? xenwatch_thread+0x0/0xff
 [<c0442a97>] ? kthread+0x3b/0x61
 [<c0442a5c>] ? kthread+0x0/0x61
 [<c04098f7>] ? kernel_thread_helper+0x7/0x10
 =======================
Code: 84 89 00 00 00 83 4e 44 08 e9 80 00 00 00 8b 07 ff 70 08 68 41 43 83 d0 6a ed 50 e8 01 48 d4 ef 83 c4 10 e9 b6 00 00 00 8b 57 04 <8b> 02 c1 e0 14 0b 42 04 e8 66 4c c8 ef 85 c0 89 c3 75 10 68 51
EIP: [<d0833ec7>] backend_changed+0x262/0x31d [xen_blkfront] SS:ESP 0069:cf847f54
---[ end trace 699266966296a986 ]---

Expected results:
Clean boot.


Additional info:
It's possible, that it is a problem of fedora-8 kernel-xen, but I am not sure.

Also tryed to rerun mkinitrd as described in bug#429937 without succes.

After this error system boots normally, but there is NO link on eth0, I can't use network connection on this virtual server.
Comment 1 Jan ONDREJ 2008-12-10 09:15:31 EST
After this chnage of my xen config works well:

disk = [
  'phy:/dev/r5/aspi_hda,xvda,w',
  #'phy:/dev/cdrom,hdd:cdrom,r'
]

Commenting out CDROM let's me boot this machine without problems.
May be there is an problem with CDROM driver.

So now it's possible, that you can reproduce this problem on your machine.
Comment 2 Chuck Ebbert 2008-12-15 04:09:28 EST
Where do the xen drivers come from? They're not part of the kernel package AFAICT.
Comment 3 Chris Lalancette 2008-12-15 11:26:36 EST
Chuck,
    FYI; those Xen blkfront kernel drivers are indeed in the base kernel.  The block driver lives under drivers/block/xen-blkfront.c, the network driver lives under drivers/net/xen-netfront.c, and common xen stuff lives under drivers/xen

Chris Lalancette
Comment 4 Jan ONDREJ 2009-01-30 08:13:47 EST
Same problem on 2.6.29:
  http://koji.fedoraproject.org/koji/buildinfo?buildID=80840
Comment 5 Mark McLoughlin 2009-01-30 10:56:58 EST
jan: thanks for the report; could you send the stack trace to the xen-devel list to see if anyone there has any input?
Comment 6 Jan ONDREJ 2009-01-30 12:53:03 EST
(In reply to comment #5)
> jan: thanks for the report; could you send the stack trace to the xen-devel
> list to see if anyone there has any input?

Which "stack trace"? This from bugreport or one created byt "echo t > /proc/sysrq-trigger" ?

My kernel continues to work normally, just without network connection, so when is the right time to create trace?
Comment 7 Bug Zapper 2009-11-18 03:01:11 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 02:14:35 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.